> ## Documentation Index
> Fetch the complete documentation index at: https://assembly-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paragraphs in transcript

> Get the transcript split by paragraphs. The API will attempt to semantically segment your transcript into paragraphs to create more reader-friendly transcripts.



## OpenAPI

````yaml get /v2/transcript/{transcript_id}/paragraphs
openapi: 3.1.0
info:
  title: AssemblyAI API
  description: AssemblyAI API
  version: 1.3.4
  termsOfService: https://www.assemblyai.com/legal/terms-of-service
  contact:
    name: API Support
    email: support@assemblyai.com
    url: https://www.assemblyai.com/docs/
servers:
  - url: https://api.assemblyai.com
    description: AssemblyAI API
security:
  - ApiKey: []
tags:
  - name: transcript
    description: Transcript related operations
    externalDocs:
      url: https://www.assemblyai.com/docs/guides/transcribing-an-audio-file
  - name: LeMUR
    description: LeMUR related operations
    externalDocs:
      url: >-
        https://www.assemblyai.com/docs/guides/processing-audio-with-llms-using-lemur
  - name: streaming
    description: Streaming Speech-to-Text
    externalDocs:
      url: https://www.assemblyai.com/docs/speech-to-text/streaming
paths:
  /v2/transcript/{transcript_id}/paragraphs:
    get:
      tags:
        - transcript
      summary: Get paragraphs in transcript
      description: >-
        Get the transcript split by paragraphs. The API will attempt to
        semantically segment your transcript into paragraphs to create more
        reader-friendly transcripts.
      operationId: getTranscriptParagraphs
      parameters:
        - name: transcript_id
          x-label: Transcript ID
          in: path
          description: ID of the transcript
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Exported paragraphs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParagraphsResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
        '504':
          $ref: '#/components/responses/GatewayTimeout'
components:
  schemas:
    ParagraphsResponse:
      x-label: Paragraphs response
      type: object
      x-fern-sdk-group-name: transcripts
      additionalProperties: false
      required:
        - id
        - confidence
        - audio_duration
        - paragraphs
      properties:
        id:
          x-label: Transcript ID
          description: The unique identifier of your transcript
          type: string
          format: uuid
        confidence:
          x-label: Confidence
          description: The confidence score for the transcript
          type: number
          format: double
          minimum: 0
          maximum: 1
        audio_duration:
          x-label: Audio duration
          description: The duration of the audio file in seconds
          type: number
        paragraphs:
          x-label: Paragraphs
          description: An array of paragraphs in the transcript
          type: array
          items:
            $ref: '#/components/schemas/TranscriptParagraph'
            x-label: Paragraph
      example:
        paragraphs:
          - text: >-
              Smoke from hundreds of wildfires in Canada is triggering air
              quality alerts throughout the US. Skylines from Maine to Maryland
              to Minnesota are gray and smoggy. And in some places, the air
              quality warnings include the warning to stay inside. We wanted to
              better understand what's happening here and why, so we called
              Peter Decarlo, an associate professor in the Department of
              Environmental Health and Engineering at Johns Hopkins University.
              Good morning, professor.
            start: 250
            end: 26950
            confidence: 0.73033
            words:
              - text: Smoke
                start: 250
                end: 650
                confidence: 0.73033
                speaker: null
              - text: from
                start: 730
                end: 1022
                confidence: 1
                speaker: null
              - text: hundreds
                start: 1076
                end: 1466
                confidence: 0.99992
                speaker: null
              - text: of
                start: 1498
                end: 1646
                confidence: 1
                speaker: null
          - text: >-
              Good morning. So what is it about the conditions right now that
              have caused this round of wildfires to affect so many people so
              far away? Well, there's a couple of things. The season has been
              pretty dry already, and then the fact that we're getting hit in
              the US. Is because there's a couple of weather systems that are
              essentially channeling the smoke from those Canadian wildfires
              through Pennsylvania into the Mid Atlantic and the Northeast and
              kind of just dropping the smoke there.
            start: 27850
            end: 56190
            confidence: 0.99667
            words:
              - text: Good
                start: 27850
                end: 28262
                confidence: 0.99667
                speaker: null
              - text: morning.
                start: 28316
                end: 28920
                confidence: 0.99742
                speaker: null
              - text: So
                start: 29290
                end: 29702
                confidence: 0.94736
                speaker: null
        id: d5a3d302-066e-43fb-b63b-8f57baf185db
        confidence: 0.9578730257009361
        audio_duration: 281
    TranscriptParagraph:
      x-label: Paragraph
      type: object
      x-fern-sdk-group-name: transcripts
      additionalProperties: false
      required:
        - text
        - start
        - end
        - confidence
        - words
      properties:
        text:
          x-label: Text
          description: The transcript of the paragraph
          type: string
        start:
          x-label: Start
          description: The starting time, in milliseconds, of the paragraph
          type: integer
        end:
          x-label: End
          description: The ending time, in milliseconds, of the paragraph
          type: integer
        confidence:
          x-label: Confidence
          description: The confidence score for the transcript of this paragraph
          type: number
          format: double
          minimum: 0
          maximum: 1
        words:
          x-label: Words
          description: An array of words in the paragraph
          type: array
          items:
            $ref: '#/components/schemas/TranscriptWord'
            x-label: Word
      example:
        text: >-
          Smoke from hundreds of wildfires in Canada is triggering air quality
          alerts throughout the US. Skylines from Maine to Maryland to Minnesota
          are gray and smoggy. And in some places, the air quality warnings
          include the warning to stay inside. We wanted to better understand
          what's happening here and why, so we called Peter Decarlo, an
          associate professor in the Department of Environmental Health and
          Engineering at Johns Hopkins University. Good morning, professor.
        start: 250
        end: 26950
        confidence: 0.73033
        words:
          - text: Smoke
            start: 250
            end: 650
            confidence: 0.73033
            speaker: null
          - text: from
            start: 730
            end: 1022
            confidence: 1
            speaker: null
          - text: hundreds
            start: 1076
            end: 1466
            confidence: 0.99992
            speaker: null
          - text: of
            start: 1498
            end: 1646
            confidence: 1
            speaker: null
    Error:
      x-label: Error
      type: object
      additionalProperties: true
      required:
        - error
      properties:
        error:
          x-label: Error message
          description: Error message
          type: string
        status:
          x-label: Status
          type: string
          const: error
      example:
        error: format_text must be a Boolean
    TranscriptWord:
      x-label: Word
      type: object
      x-fern-sdk-group-name: transcripts
      additionalProperties: false
      required:
        - confidence
        - start
        - end
        - text
        - speaker
      properties:
        confidence:
          x-label: Confidence
          description: The confidence score for the transcript of this word
          type: number
          format: double
          minimum: 0
          maximum: 1
        start:
          x-label: Start
          description: The starting time, in milliseconds, for the word
          type: integer
        end:
          x-label: End
          description: The ending time, in milliseconds, for the word
          type: integer
        text:
          x-label: Text
          description: The text of the word
          type: string
        channel:
          x-label: Channel
          description: >-
            The channel of the word. The left and right channels are channels 1
            and 2. Additional channels increment the channel number
            sequentially.
          type:
            - string
            - 'null'
        speaker:
          x-label: Speaker
          description: >-
            The speaker of the word if [Speaker
            Diarization](https://www.assemblyai.com/docs/models/speaker-diarization)
            is enabled, else null
          type:
            - string
            - 'null'
      example:
        text: Smoke
        start: 250
        end: 650
        confidence: 0.97465
        channel: null
        speaker: null
  responses:
    BadRequest:
      x-label: Bad request
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: This is a sample error message
    Unauthorized:
      x-label: Unauthorized
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Authentication error, API token missing/invalid
    NotFound:
      x-label: Not found
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Not found
    TooManyRequests:
      x-label: Too many requests
      description: Too many requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Too Many Requests
      headers:
        Retry-After:
          description: The number of seconds to wait before retrying the request
          schema:
            type: integer
    InternalServerError:
      x-label: Internal server error
      description: An error occurred while processing the request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Internal Server Error
    ServiceUnavailable:
      x-label: Service unavailable
      description: Service unavailable
    GatewayTimeout:
      x-label: Gateway timeout
      description: Gateway timeout
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization

````